org.apache.fop.render.pdf

## Class PDFStructureTreeBuilder

- java.lang.Object
- - org.apache.fop.render.pdf.PDFStructureTreeBuilder

- All Implemented Interfaces:
    StructureTreeEventHandler

      public class PDFStructureTreeBuilder
      extends Object
      implements StructureTreeEventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PDFStructureTreeBuilder.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFStructureTreeBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDFStructElem` | `createStructureElement(String name, StructureHierarchyMember parent, Attributes attributes, PDFFactory pdfFactory, EventBroadcaster eventBroadcaster)`
    `void` | `endNode(String name)` Ends a structure tree node.
    `void` | `endPageSequence()` Ends a page sequence structure tree node.
    `StructureTreeElement` | `startImageNode(String name, Attributes attributes, StructureTreeElement parent)` Starts an image node.
    `StructureTreeElement` | `startNode(String name, Attributes attributes, StructureTreeElement parent)` Starts a structure tree node.
    `void` | `startPageSequence(Locale language, String role)` Starts a page sequence structure tree node.
    `StructureTreeElement` | `startReferencedNode(String name, Attributes attributes, StructureTreeElement parent)` Starts a node that can be referenced by other nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFStructureTreeBuilder

          public PDFStructureTreeBuilder()

  - ### Method Detail

    - #### createStructureElement

          public static PDFStructElem createStructureElement(String name,
                                                             StructureHierarchyMember parent,
                                                             Attributes attributes,
                                                             PDFFactory pdfFactory,
                                                             EventBroadcaster eventBroadcaster)

    - #### startPageSequence

          public void startPageSequence(Locale language,
                                        String role)

      Description copied from interface: `StructureTreeEventHandler`
      Starts a page sequence structure tree node.
      Specified by:
        `startPageSequence` in interface `StructureTreeEventHandler`
      Parameters:
        `language` - The locale of the page sequence
        `role` - the value of the role property. May be null.

    - #### endPageSequence

          public void endPageSequence()

      Description copied from interface: `StructureTreeEventHandler`
      Ends a page sequence structure tree node.
      Specified by:
        `endPageSequence` in interface `StructureTreeEventHandler`

    - #### startNode

          public StructureTreeElement startNode(String name,
                                                Attributes attributes,
                                                StructureTreeElement parent)

      Description copied from interface: `StructureTreeEventHandler`
      Starts a structure tree node.
      Specified by:
        `startNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### endNode

          public void endNode(String name)

      Description copied from interface: `StructureTreeEventHandler`
      Ends a structure tree node.
      Specified by:
        `endNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node

    - #### startImageNode

          public StructureTreeElement startImageNode(String name,
                                                     Attributes attributes,
                                                     StructureTreeElement parent)

      Description copied from interface: `StructureTreeEventHandler`
      Starts an image node.
      Specified by:
        `startImageNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### startReferencedNode

          public StructureTreeElement startReferencedNode(String name,
                                                          Attributes attributes,
                                                          StructureTreeElement parent)

      Description copied from interface: `StructureTreeEventHandler`
      Starts a node that can be referenced by other nodes. This is usually a node that can have Marked Content References as children.
      Specified by:
        `startReferencedNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

Copyright © 2025 Apache Software Foundation. All rights reserved.